# Interface methods for submodule: TransformBaseTemplate
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: TransformBaseTemplate
class TransformBaseTemplateProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetInputSpaceName(self, _arg: str) -> None:
		""""""
		...

	def GetInputSpaceName(self) -> str:
		""""""
		...

	def SetOutputSpaceName(self, _arg: str) -> None:
		""""""
		...

	def GetOutputSpaceName(self) -> str:
		""""""
		...

	def GetNumberOfParameters(self) -> int:
		""""""
		...

	def GetParameters(self):
		""""""
		...

	def GetInputSpaceDimension(self) -> int:
		""""""
		...

	def GetOutputSpaceDimension(self) -> int:
		""""""
		...

	def SetParameters(self, arg0) -> None:
		""""""
		...

	def SetParametersByValue(self, p) -> None:
		""""""
		...

	def SetFixedParameters(self, arg0) -> None:
		""""""
		...

	def CopyInParameters(self, begin, end) -> None:
		""""""
		...

	def CopyInFixedParameters(self, begin, end) -> None:
		""""""
		...

	def GetFixedParameters(self):
		""""""
		...

	def GetTransformTypeAsString(self) -> str:
		""""""
		...

	def GetTransformCategory(self):
		""""""
		...

